// SerAddressBookMDIView.h : interface of the CSerAddressBookMDIView class
//


#pragma once


class CSerAddressBookMDIView : public CListView
{
protected: // create from serialization only
	CSerAddressBookMDIView();
	DECLARE_DYNCREATE(CSerAddressBookMDIView)

// Attributes
public:
	CSerAddressBookMDIDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // called first time after construct
	void PopulateList();

// Implementation
public:
	virtual ~CSerAddressBookMDIView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()

	void CreateViews(int nFileVersion);

protected:
	virtual void OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/);
public:
	afx_msg void OnMymenuChangedata();
};

#ifndef _DEBUG  // debug version in SerAddressBookMDIView.cpp
inline CSerAddressBookMDIDoc* CSerAddressBookMDIView::GetDocument() const
   { return reinterpret_cast<CSerAddressBookMDIDoc*>(m_pDocument); }
#endif

