#pragma once
#include "Contact.h"
#include "SerAddressBookMDIDoc.h"

// CManipulateData dialog
class  CManipulateDataDlg: public CDialog
{
	DECLARE_DYNAMIC(CManipulateDataDlg)

public:
	CManipulateDataDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CManipulateDataDlg();

	// Dialog Data
		enum { IDD = IDD_SERADDRESSBOOK_DIALOG };

	void SetAddressDocument(CSerAddressBookMDIDoc* pAddrView) { m_pAddressDoc = pAddrView; }

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedRadioVersion1();
	afx_msg void OnBnClickedRadioVersion2();
	afx_msg void OnBnClickedBtnAddDataToGrid();
	afx_msg void OnBnClickedBtnRemoveDataFromGrid();
	afx_msg void OnBnClickedBtnCleanTheList();
	afx_msg void OnBnClickedBtnUpdateDataFromGrid();
	afx_msg void OnNMDblclkListAdressBook(NMHDR *pNMHDR, LRESULT *pResult);

	DECLARE_MESSAGE_MAP()

private:
		void ResetMembers();
		void PopulateList();
    	void ResetAllColumns(void);

		CListCtrl				m_cList;
		CSerAddressBookMDIDoc*	m_pAddressDoc;
		
		CString			m_strFirstName;
		CString			m_strLastName;
		CString			m_strAddress;
		CString			m_strPhone;
		CString			m_strMobilePhone;
		CString			m_strEmail;
		int				m_nContactVersion;
		CString			m_strFilePath;
		int				m_iLastSelected;
};
